pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 1


interface Registry {
	function owner() external view returns (address);
	function identifiers() external view returns (bytes32[] memory);
	function chainOf(bytes32 _identifier) external view returns (bytes32);
	function configSumOf(bytes32 _chain) external view returns (bytes32);
	function set (bytes32 _identifier, address _address, bytes32 _chainDescriptor, bytes32 _chainConfig) external returns (bool);
	function seal() external returns (bool);
	// TODO: extend RegistryClient, but flatten files
	function addressOf(bytes32) external view returns (address);
}
